创建 networkIPv6ConfigurationManagementCondition
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 networkIPv6ConfigurationManagementCondition 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
POST /deviceManagement/managementConditions
POST /deviceManagement/managementConditions/{managementConditionId}/managementConditionStatements/{managementConditionStatementId}/managementConditions
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 networkIPv6ConfigurationManagementCondition 对象的 JSON 表示形式。
下表显示创建 networkIPv6ConfigurationManagementCondition 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 管理条件的唯一标识符。 创建时分配的系统生成值。 继承自 managementCondition |
| 唯一名称 | String | 管理条件的唯一名称。 在管理条件表达式中使用。 继承自 managementCondition |
| displayName | String | 管理员定义的管理条件名称。 继承自 managementCondition |
| 说明 | String | 管理员定义的管理条件说明。 继承自 managementCondition |
| createdDateTime | DateTimeOffset | 创建管理条件的时间。 生成的服务器端。 继承自 managementCondition |
| modifiedDateTime | DateTimeOffset | 上次修改管理条件的时间。 更新的服务器端。 继承自 managementCondition |
| eTag | String | 管理条件的 ETag。 更新的服务器端。 继承自 managementCondition |
| applicablePlatforms | devicePlatformType 集合 | 此管理条件的适用平台。 继承自 managementCondition。 可取值为:android、androidForWork、iOS、macOS、windowsPhone81、windows81AndLater、windows10AndLater、androidWorkProfile、unknown。 |
| ipV6Prefix | String | 要连接到的 IPv6 子网。 例如 2001:db8::/32 |
| ipV6Gateway | String | IPv6 网关地址。 例如 2001:db8::1 |
| ipV6DNSServerList | String collection | 为适配器配置的 IPv6 DNS 服务器。 |
| dnsSuffixList | String collection | 当前网络的有效 DNS 后缀。 例如 seattle.contoso.com |
响应
如果成功,此方法在响应正文中返回 响应代码和 201 Created networkIPv6ConfigurationManagementCondition 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/managementConditions
Content-type: application/json
Content-length: 483
{
"@odata.type": "#microsoft.graph.networkIPv6ConfigurationManagementCondition",
"uniqueName": "Unique Name value",
"displayName": "Display Name value",
"description": "Description value",
"eTag": "ETag value",
"applicablePlatforms": [
"androidForWork"
],
"ipV6Prefix": "Ip V6Prefix value",
"ipV6Gateway": "Ip V6Gateway value",
"ipV6DNSServerList": [
"Ip V6DNSServer List value"
],
"dnsSuffixList": [
"Dns Suffix List value"
]
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 651
{
"@odata.type": "#microsoft.graph.networkIPv6ConfigurationManagementCondition",
"id": "25811206-1206-2581-0612-812506128125",
"uniqueName": "Unique Name value",
"displayName": "Display Name value",
"description": "Description value",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"modifiedDateTime": "2017-01-01T00:00:22.8983556-08:00",
"eTag": "ETag value",
"applicablePlatforms": [
"androidForWork"
],
"ipV6Prefix": "Ip V6Prefix value",
"ipV6Gateway": "Ip V6Gateway value",
"ipV6DNSServerList": [
"Ip V6DNSServer List value"
],
"dnsSuffixList": [
"Dns Suffix List value"
]
}
反馈
提交和查看相关反馈